Subject: Re: bug#40687: Missing right border on composed text used in 'display property

From: Robert Pluim <[email-masked]>
Date: Fri, 24 Apr 2020 14:10:57 +0200

>>>>> On Thu, 23 Apr 2020 18:48:09 +0300, Eli Zaretskii <[email-masked]> said:

    Eli> Thanks, should be fixed now.

    Eli> FTR, a recipe to test more fully display of composed text with a :box
    Eli> face is below.  I found quite a few problems with this, especially
    Eli> when the text in the boxed face ends with a composed character.  They
    Eli> should be fixed now on the master branch.  I tested this fully only on
    Eli> MS-Windows; could someone please use the recipe below to verify the
    Eli> display looks correctly also on X and on NS?  Note that what appears
    Eli> below to be LATIN SMALL LETTER A WITH ACUTE is not a single character,
    Eli> but 2 characters that are composed into a single glyph.

It all looks correct on NS as well (once I switched to a font that had both
an 'a' and a COMBINING ACUTE ACCENT glyph, Menlo in this case)

Robert